"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.collectUserFlowsCommand = void 0;
const tslib_1 = require("tslib");
const index_1 = require("../../core/loggin/index");
const options_1 = require("./options");
const serve_command_1 = require("./utils/serve-command");
const collect_rc_json_1 = require("../init/processes/collect-rc-json");
const behaviors_1 = require("../../core/processing/behaviors");
const collect_reports_1 = require("./processes/collect-reports");
const params_1 = require("./utils/params");
exports.collectUserFlowsCommand = {
    command: 'collect',
    description: 'Run a set of user flows and save the result',
    builder: (y) => y.options(options_1.COLLECT_OPTIONS),
    module: {
        handler: (argv) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
            (0, index_1.logVerbose)(`run "collect" as a yargs command with args:`);
            const cfg = (0, params_1.getCollectCommandOptionsFromArgv)(argv);
            (0, index_1.logVerbose)('Collect options: ', cfg);
            yield (0, behaviors_1.run)([
                collect_rc_json_1.collectRcJson,
                (cfg) => (0, serve_command_1.startServerIfNeededAndExecute)(() => (0, collect_reports_1.collectReports)(cfg), cfg.collect)
            ])(cfg);
        })
    }
};
//# sourceMappingURL=index.js.map