"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCollectCommandOptionsFromArgv = exports.getArgvOptionsFromRc = void 0;
function getArgvOptionsFromRc(cfg) {
    const { collect, persist, assert } = cfg;
    return Object.assign(Object.assign(Object.assign({}, collect), persist), assert);
}
exports.getArgvOptionsFromRc = getArgvOptionsFromRc;
function getCollectCommandOptionsFromArgv(argv) {
    const { url, ufPath, serveCommand, awaitServeStdout, dryRun, openReport, outPath, format, budgetPath, budgets } = (argv || {});
    let collect = {};
    url && (collect.url = url);
    ufPath && (collect.ufPath = ufPath);
    // optional
    serveCommand && (collect.serveCommand = serveCommand);
    awaitServeStdout && (collect.awaitServeStdout = awaitServeStdout);
    // cli only
    dryRun !== undefined && (collect.dryRun = Boolean(dryRun));
    let persist = {};
    outPath && (persist.outPath = outPath);
    format && (persist.format = format);
    // cli only
    openReport !== undefined && (persist.openReport = Boolean(openReport));
    let assert = {};
    budgetPath && (assert.budgetPath = budgetPath);
    budgets && (assert.budgets = budgets);
    return { collect, persist, assert };
}
exports.getCollectCommandOptionsFromArgv = getCollectCommandOptionsFromArgv;
//# sourceMappingURL=params.js.map