"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toReportName = exports.isoDateStringToIsoLikeString = exports.dateToIsoLikeString = void 0;
const file_1 = require("../../../../core/file");
function dateToIsoLikeString(date) {
    return isoDateStringToIsoLikeString(date.toISOString());
}
exports.dateToIsoLikeString = dateToIsoLikeString;
function isoDateStringToIsoLikeString(isoDate) {
    return isoDate.replace(/[\-:]/gm, '').split('.').shift();
}
exports.isoDateStringToIsoLikeString = isoDateStringToIsoLikeString;
function toReportName(url, flowName, date) {
    date = date || new Date().toISOString();
    return `${(0, file_1.toFileName)(url)}-${(0, file_1.toFileName)(flowName)}-${isoDateStringToIsoLikeString(date)}`;
}
exports.toReportName = toReportName;
//# sourceMappingURL=utils.js.map