"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateUserFlow = exports.userflowIsNotCreated = exports.getExamplePathDest = void 0;
const tslib_1 = require("tslib");
const path_1 = require("path");
const file_1 = require("../../../core/file");
const loggin_1 = require("../../../core/loggin");
const fs_1 = require("fs");
const constants_1 = require("../constants");
const exampleName = 'basic-navigation';
function getExamplePathDest(flowExample, folder) {
    const fileName = constants_1.FlowExampleMap[flowExample];
    return (0, path_1.join)(folder, fileName);
}
exports.getExamplePathDest = getExamplePathDest;
const userflowIsNotCreated = (cfg) => Promise.resolve(cfg ? (0, file_1.readFile)(getExamplePathDest(exampleName, cfg.collect.ufPath)) === '' : false);
exports.userflowIsNotCreated = userflowIsNotCreated;
function generateUserFlow(cliCfg) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const ufPath = cliCfg.collect.ufPath;
        // DX create directory if it does ot exist
        try {
            (0, fs_1.readdirSync)(ufPath);
        }
        catch (e) {
            (0, fs_1.mkdirSync)(ufPath, { recursive: true });
        }
        const tplFileName = constants_1.FlowExampleMap[exampleName];
        const exampleSourceLocation = (0, path_1.join)(__dirname, '..', 'static', tplFileName);
        const exampleDestination = (0, path_1.join)(ufPath, tplFileName);
        if ((0, file_1.readFile)(exampleDestination) !== '') {
            throw new Error(`No flow example given for name ${exampleName}.`);
        }
        const fileContent = (0, file_1.readFile)(exampleSourceLocation, { fail: true }).toString();
        (0, file_1.writeFile)(exampleDestination, fileContent);
        (0, loggin_1.log)(`setup user-flow for basic navigation in ${ufPath} successfully`);
        return Promise.resolve(cliCfg);
    });
}
exports.generateUserFlow = generateUserFlow;
//# sourceMappingURL=generate-userflow.js.map