"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.log = exports.logVerbose = void 0;
const verbose_1 = require("../../global/options/verbose");
/**
 * logs messages only if the CLI parameter -v or --verbose is passed as true
 *
 * @example
 * user-flow collect -v // log is present
 * user-flow collect -v=false // log is NOT present
 *
 * @param message
 */
function logVerbose(...message) {
    if ((0, verbose_1.get)()) {
        return console.log(...message);
    }
}
exports.logVerbose = logVerbose;
/**
 * logs messages to the CLI independent if the parameter -v or --verbose is passed as true or not
 *
 * @example
 * user-flow collect -v // log is present
 * user-flow collect -v=false // log is present
 *
 * @param message
 */
function log(...message) {
    return console.log(...message);
}
exports.log = log;
//# sourceMappingURL=index.js.map